/*
Template Name: Monster Admin
Author: Themedesigner
Email: niravjoshi87@gmail.com
File: scss
*/

@import '../variable';
$themecolor: #ea1921;
$themecolor-dark: #770000;
$topbar: #ea1921;
$sidebar:#1d1d1b;
$sidebar-text: #FFF;
$sidebar-icons: #798699;
$sidebar-dark: #181c22;
/*******************
/*Top bar
*******************/

.topbar {
    background: $topbar;
    /* Old browsers */
    background: -moz-linear-gradient(left, #ea1921 0%, #770000 100%);
    /* FF3.6-15 */
    background: -webkit-linear-gradient(left, #ea1921 0%, #770000 100%);
    /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to right, #ea1921 0%, #770000 100%);
    /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    .navbar-header {
        background: $sidebar;
        box-shadow: 4px -4px 10px rgba(0, 0, 0, 0);
    }
    .top-navbar .navbar-header .navbar-brand .dark-logo{
        display: none;
    }
    .top-navbar .navbar-header .navbar-brand .light-logo{
        display: inline-block;
        color:rgba(255, 255, 255, 0.8);
    }
    .navbar-light .navbar-nav .nav-item > {
        a.nav-link {
            color: rgba(255, 255, 255, 0.8)!important;
            &:hover,
            &:focus {
                color: $white!important;
            }
        }
    }
}
.logo-center .topbar {
    .navbar-header {
        background: transparent;
        box-shadow: none;
    }
    .top-navbar .navbar-header .navbar-brand .dark-logo{
        display: none;
    }
    .top-navbar .navbar-header .navbar-brand .light-logo{
        display: inline-block;
        color:rgba(255, 255, 255, 0.8);
    }
}

/*******************
/*General Elements
*******************/
a{
    color:$themecolor;
}
a.link {
    &:hover,
    &:focus {
        color: $themecolor!important;
    }
}

.bg-theme {
    background-color: $themecolor !important;
}

.pagination > .active > a,
.pagination > .active > span,
.pagination > .active > a:hover,
.pagination > .active > span:hover,
.pagination > .active > a:focus,
.pagination > .active > span:focus {
    background-color: $themecolor;
    border-color: $themecolor;
}

.right-sidebar {
    .rpanel-title {
        background: $themecolor;
    }
}

.stylish-table {
    tbody tr {
        &:hover,
        &.active {
            border-left: 4px solid $themecolor;
        }
    }
}
.text-themecolor{
    color: $themecolor!important;
}
.profile-tab,
.customtab {
    li {
        a.nav-link {
            &.active {
                border-bottom: 2px solid $themecolor;
                color: $themecolor;
            }
            &:hover {
                color: $themecolor;
            }
        }
    }
}


/*******************
/*Buttons
*******************/

.btn-themecolor,
.btn-themecolor.disabled {
    background: $themecolor;
    color: $white;
    border: 1px solid $themecolor;
    &:hover {
        background: $themecolor;
        opacity: 0.7;
        border: 1px solid $themecolor;
    }
    &.active,
    &:focus {
        background: $themecolor-dark;
    }
}


/*******************
/*sidebar navigation
*******************/
.card-no-border .left-sidebar, .card-no-border .sidebar-nav{
    background: $sidebar;
}
.mini-sidebar .sidebar-nav{
    background: transparent;
}
@media (min-width: 768px) {
.mini-sidebar .sidebar-nav #sidebarnav>li>ul{
        background: $sidebar-dark;
    }
}
.sidebar-nav {
    background: $sidebar;
    ul {
        li {
            a {
                color: $sidebar-text;
                &.router-link-active,
                &:hover {
                    color: $themecolor;
                    i {
                        color: $themecolor;
                    }
                }
                &.active {
                    color: $white;
                }
            }
            &.nav-small-cap {
                color: $muted;
                text-align: center
            }
        }
    }
    > ul > li {
        &.active > a {
            border-left: 3px solid $themecolor;
            color: $themecolor;
            i {
                color: $themecolor;
            }
        }
    }
    > ul > li > a {
        border-left: 3px solid $sidebar;
        &.active,
        &:hover {
            border-left: 3px solid $themecolor;
            i {
                color: $themecolor;
            }
        }
        i {
            color: $sidebar-icons;
        }
        &.active {
            font-weight: 400;
            background: $white;
            color: $themecolor;
        }
    }
}
.user-profile .profile-text a{
    color: $sidebar-text!important;
}
.card-no-border .sidebar-footer{
    background: $sidebar-dark;
}

.card-title {
  color: $themecolor
}

.chp {
  cholor: $themecolor
}




/*******************
sidebar footer
******************/

.sidebar-footer {
  position: fixed;
  bottom: 0px;
  left: 0px;
  transition:0.2s ease-out;
  width: 240px;
  border-top: 1px solid $border;
  a {
      padding: 15px;
      width: 100%;
      text-align: center;
      font-size: 18px;
  }
}
